EZ_WidgetDispatchEvent(3)

NAME
EZ_WidgetDispatchEvent - dispatch an X event to the default event handler

SYNOPSIS
#include <EZ.h>

void EZ_WidgetDispatchEvent( XEvent *event)
void EZ_RemoveEvent( XEvent *event)

ARGUMENTS
event Specifies an X event.

DESCRIPTION

EZ_WidgetDispatchEvent dispatches an X event to a widget's default event handler.

The main event dispatcher invokes private event handlers first. If there are needs to invoke the default event handler first, the private event handler can do so by calling EZ_WidgetDispatchEvent first, then handle the event and call EZ_RemoveEvent when done.

EZ_RemoveEvent event removes the specified event from the event queue. This procedure is intended to be used by a
 private event handler to prevent other event handlers to
 service the specified event.

SEE ALSO
EZ_EventMainLoop(3), EZ_ServiceEvents(3)